Debian Bug report logs - #677455
FTBFS with evolution 3.4

version graph

Package: src:mail-notification; Maintainer for src:mail-notification is Stephen Kitt <skitt@debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Thu, 14 Jun 2012 04:03:02 UTC

Severity: important

Tags: patch

Found in version mail-notification/5.4.dfsg.1-5

Fixed in version mail-notification/5.4.dfsg.1-6

Done: Stephen Kitt <steve@sk2.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#677455; Package src:mail-notification. (Thu, 14 Jun 2012 04:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 14 Jun 2012 04:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS with evolution 3.4
Date: Thu, 14 Jun 2012 06:01:02 +0200
[Message part 1 (text/plain, inline)]
Source: mail-notification
Version: 5.4.dfsg.1-5
Severity: important
Tags: patch

Hi,

mail-notification fails to build from source against evolution 3.4,
since a few headers were moved around.
The attached patch makes mail-notification compile successfully against
evolution 3.4 and is also backwards-compatible with the current version
3.2 in unstable, so it can be safely applied.

Please apply the patch at your earliest convenience, so
mail-notification is ready once evolution 3.4 is uploaded to unstable.

Cheers,
Michael


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[evolution-3.4.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Mon, 18 Jun 2012 22:17:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 677455: 678087 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 19 Jun 2012 05:36:09 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Tue, 19 Jun 2012 15:06:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 19 Jun 2012 15:06:08 GMT) Full text and rfc822 format available.

Message #14 received at 677455-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 677455-close@bugs.debian.org
Subject: Bug#677455: fixed in mail-notification 5.4.dfsg.1-6
Date: Tue, 19 Jun 2012 15:03:21 +0000
Source: mail-notification
Source-Version: 5.4.dfsg.1-6

We believe that the bug you reported is fixed in the latest version of
mail-notification, which is due to be installed in the Debian FTP archive:

mail-notification-evolution_5.4.dfsg.1-6_amd64.deb
  to main/m/mail-notification/mail-notification-evolution_5.4.dfsg.1-6_amd64.deb
mail-notification_5.4.dfsg.1-6.debian.tar.gz
  to main/m/mail-notification/mail-notification_5.4.dfsg.1-6.debian.tar.gz
mail-notification_5.4.dfsg.1-6.dsc
  to main/m/mail-notification/mail-notification_5.4.dfsg.1-6.dsc
mail-notification_5.4.dfsg.1-6_amd64.deb
  to main/m/mail-notification/mail-notification_5.4.dfsg.1-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677455@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated mail-notification package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Jun 2012 00:03:39 +0200
Source: mail-notification
Binary: mail-notification mail-notification-evolution
Architecture: source amd64
Version: 5.4.dfsg.1-6
Distribution: unstable
Urgency: low
Maintainer: LIU Qi <liuqi82@gmail.com>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 mail-notification - mail notification in system tray
 mail-notification-evolution - evolution support for mail notification
Closes: 677455
Changes: 
 mail-notification (5.4.dfsg.1-6) unstable; urgency=low
 .
   * Allow linking with --as-needed (thanks to Michael Bienia for the
     patch).
   * Support building with Evolution 3.4 (thanks to Michael Biebl and
     Mathieu Trudel-Lapierre for the patch; closes: #677455).
Checksums-Sha1: 
 a509782f16720127cd427fa1eec496d6a1ffa16a 2255 mail-notification_5.4.dfsg.1-6.dsc
 0d556b9f3afeb804a7dd63ff81c11dce4b1a4e72 36110 mail-notification_5.4.dfsg.1-6.debian.tar.gz
 e538366fa55edb65d08aa58f65d7ba25d0347bf5 437892 mail-notification_5.4.dfsg.1-6_amd64.deb
 b7232b380cddb939061fd32d8ed5c95ea5741b36 22110 mail-notification-evolution_5.4.dfsg.1-6_amd64.deb
Checksums-Sha256: 
 6bcd6bce5a68e46ce257c71b563fc904d69dbbc5be71d878a112e1ed6f9f9de0 2255 mail-notification_5.4.dfsg.1-6.dsc
 d340bd34a46f9f03f5a14acb899e18e486aa3db621de8b06a5a143e8797f1f39 36110 mail-notification_5.4.dfsg.1-6.debian.tar.gz
 47cc59c8a8c6adf3beee94b562d97e322f0e43ce65003319f2b7b3de09696ece 437892 mail-notification_5.4.dfsg.1-6_amd64.deb
 992c0fadead2f0954f5e799ebbd71205e8e8340a9516c9078994dad507f3d430 22110 mail-notification-evolution_5.4.dfsg.1-6_amd64.deb
Files: 
 1190740144f17448babbee2c8c56b69d 2255 gnome optional mail-notification_5.4.dfsg.1-6.dsc
 9e4036654db123249316f45bc6b36c4f 36110 gnome optional mail-notification_5.4.dfsg.1-6.debian.tar.gz
 41414c2a7c8ed5d1f5edadfd82f5f810 437892 gnome optional mail-notification_5.4.dfsg.1-6_amd64.deb
 9b735ab57b03b82829bf1ab8b2c653ba 22110 gnome optional mail-notification-evolution_5.4.dfsg.1-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP4JJHAAoJEGrh3w1gjyLcij0P/026mks5byhyCGoT0l9DQedd
N44zKhBvifInjPt4x4p0Jtss4m6peQBWa9DAubLi4Bc5gAcD/0R+fRBUoR4k1kzI
9tFtyPynB6h06ZVYtAnRfocdviTshESNw555Qu6Dq8q6dDK/8nI9GN367SmRWqlE
z775RIHuXWES+FoTIQs4Fdm8CiG9RNJxJcHp11+Lck+U7mmcNzOnwx8yqd73KAIo
DZclhovtq7WAsGjMjhyr/z+fyeDujC2dvgX7p998HLaZYpIw+7jxI1N4QNVH+fIO
KSJXy4T/mAd1Ke6h+fxhfwJNmu5mCRZ2EQzvUqi+BEIMztInBTZNPM5nS0jZcRDm
8IBo8OjLOhmGVSMQhBQ91XM23rYAYdPFTqIeUQ2eu05BPkBxor46NdzfJsynvFll
7OpohvI9xdBqUeCkQkL/vnlJnlVlf7JQLL5I02lG8xnIGUlwscttztgJW1UEAnGd
4DNRiB8s8VV/IoYBOMWJIR2NXSAYNHr+wrr+7ytW/OWSMhGf4BF2A4/Xm1OcJmi1
NMfTwg76eFWy85n9XhxY2dtLE39uXYaP6Xkne4R2ebgUSNeeQDo7sOwj+RlWByzR
oHhRVC9qJQ1Wq3gX1Gz64HBE6wgaoOfBDEY8FwigirlDxnZjbVJ8v+YpZyEXx44w
qTN2gwnBBekVSQauiLAV
=MMSI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:33:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:19:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.